// ignore_for_file: constant_identifier_names

part of init;

/// this function just return enum as a string
///
/// ```dart
/// enum Status{
///    Active
/// }
///  _enumToString(Status.Active); will return `Active`
/// ```
String _enumToString<T>(T value) => value.toString().split('.').last;

enum Packages {
  // navigation
  go_router,
  // UI
  flutter_svg,
  dotted_border,
  pinput,
  toggle_switch,
  sizer,
  bot_toast,
  flutter_spinkit,
  cached_network_image,
  font_awesome_flutter,
  flutter_staggered_grid_view,
  story_view,
  flutter_slidable,
  carousel_slider,
  flutter_html,
  scrollable_positioned_list,
  flutter_rating_bar,
  google_fonts,
  animate_do,
  pdf,
  curved_navigation_bar,
  badges,
  skeletons,
  reorderables,
  sliding_up_panel,
  // Device
  platform_device_id,
  package_info_plus,
  permission_handler,
  // State Management
  get,
  provider,
  // API requests and Connectivity
  dio,
  path_provider,
  pretty_dio_logger,
  // Storage
  shared_preferences,
  mysql1,
  // Date
  hijri_picker,
  intl,
  // Firebase And notification
  firebase_messaging,
  flutter_local_notifications,
  cloud_firestore,
  firebase_storage,
  firebase_core,
  firebase_auth,
  // Google
  google_maps_flutter,
  location,
  geocoding,
  google_place,
  // Launcher and Pickers
  image_picker,
  url_launcher,
  open_file,
  // Translation
  easy_localization,
  easy_logger,
  // Other
  introduction_screen,
  connectivity,
  faker_dart,
  lint,
  chaotic,
  mockito,
  // AI
  tflite,
}
